ContextConfig (Catalina Internal API Documentation)
Keywords: org.apache.catalina.startup.ContextConfig class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.catalina.startup
Class ContextConfig

    java.lang.Object
      org.apache.catalina.startup.ContextConfig

All Implemented Interfaces:
  LifecycleListener

public final class ContextConfig
extends java.lang.Object
implements LifecycleListener

Startup event listener for a Context that configures the properties of that Context, and the associated defined servlets.

Version:
  $Revision: 289029 $ $Date: 2004-09-06 14:51:37 -0400 (Mon, 06 Sep 2004) $
Author:
  Craig R. McClanahan

Constructor Summary
`ContextConfig()`

Method Summary
`int` | `getDebug()` Return the debugging detail level for this component.
`void` | `lifecycleEvent(LifecycleEvent event)` Process the START event for an associated Context.
`void` | `setDebug(int debug)` Set the debugging detail level for this component.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ContextConfig

    public ContextConfig()

Method Detail

### getDebug

    public int getDebug()

  Return the debugging detail level for this component.

### setDebug

    public void setDebug(int debug)

  Set the debugging detail level for this component.

  Parameters:
    `debug` - The new debugging detail level

### lifecycleEvent

    public void lifecycleEvent(LifecycleEvent event)

  Process the START event for an associated Context.

  Specified by:
    `lifecycleEvent` in interface `LifecycleListener`
  Parameters:
    `event` - The lifecycle event that has occurred

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2002 Apache Software Foundation. All Rights Reserved.